Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi
Class NodeHandle

    java.lang.Object
      java.util.Observable
          rice.p2p.commonapi.NodeHandle

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MultiringNodeHandle, TransportLayerNodeHandle

    public abstract class NodeHandle

extends java.util.Observable
implements java.io.Serializable

Version:
  $Id: NodeHandle.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove, Peter Druschel
See Also:
  Serialized Form

Field Summary
`static java.lang.Integer` | `DECLARED_DEAD`
`static java.lang.Integer` | `DECLARED_LIVE`
`static java.lang.Integer` | `PROXIMITY_CHANGED`

Constructor Summary
`NodeHandle()`

Method Summary
`abstract boolean` | `checkLiveness()` Requests that the underlying transport layer check to ensure that the remote node is live.
`abstract Id` | `getId()` Returns this node's id.
`abstract boolean` | `isAlive()` Returns whether or not this node is currently alive
`abstract int` | `proximity()` Deprecated. use Endpoint.proximity(NodeHandle)
`abstract void` | `serialize(OutputBuffer buf)`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROXIMITY_CHANGED

    public static final java.lang.Integer PROXIMITY_CHANGED

### DECLARED_DEAD

    public static final java.lang.Integer DECLARED_DEAD

### DECLARED_LIVE

    public static final java.lang.Integer DECLARED_LIVE

Constructor Detail

### NodeHandle

    public NodeHandle()

Method Detail

### getId

    public abstract Id getId()

  Returns this node's id.

  Returns:
    The corresponding node's id.

### isAlive

    public abstract boolean isAlive()

  Returns whether or not this node is currently alive

  Returns:
    Whether or not this node is currently alive

### proximity

    public abstract int proximity()

  Deprecated. use Endpoint.proximity(NodeHandle)

  Returns the current proximity value of this node

  Returns:
    The current proximity value of this node

### checkLiveness

    public abstract boolean checkLiveness()

  Requests that the underlying transport layer check to ensure that the remote node is live. If the node is found to be live, nothing happens, but if the node does not respond, the transport layer make take steps to verfify that the node is dead. Such steps could include finding an alteranate route to the node.

  Returns:
    Whether or not the node is currently alive

### serialize

    public abstract void serialize(OutputBuffer buf)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.